/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 *  GNOME Print Manager
 *  Copyright (C) 2002 Sun Microsystems, Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <config.h>

#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>

#include "print-manager-printer-properties.h"
#include "print-manager-access.h"

#include <gnome.h>

/*
 * Printer properties dialog.
 */

void
print_manager_show_printer_properties (PrintManagerDevice *device, 
				       GtkWindow          *parent_window)
{
	static pid_t running_config_tool = -1;

	if (running_config_tool != -1) {
		int status;
		if (waitpid (running_config_tool, &status, WNOHANG) > 0
		    && WIFEXITED (status))
			running_config_tool = -1;
	}

	if (running_config_tool != -1)
		return;

	running_config_tool = fork ();
	if (running_config_tool == 0) {
		/* Child. */
		execlp ("redhat-config-printer-gui",
			"redhat-config-printer-gui", NULL);
		exit (1);
	}
}
